##############SDK配置文件（证书方式签名）################
# 说明：
# 1. 使用时请将此文件复制到src文件夹下替换原来的acp_sdk.properties。
# 2. 具体配置项请根据注释修改。
#
################################################

##########################入网测试环境交易发送地址（线上测试需要使用生产环境交易请求地址）#############################

##交易请求地址 
acp.sdk.frontTransUrl=https://gateway.test.95516.com/gateway/api/frontTransReq.do
acp.sdk.backTransUrl=https://gateway.test.95516.com/gateway/api/backTransReq.do
acp.sdk.singleQueryUrl=https://gateway.test.95516.com/gateway/api/queryTrans.do
acp.sdk.batchTransUrl=https://gateway.test.95516.com/gateway/api/batchTrans.do
acp.sdk.fileTransUrl=https://filedownload.test.95516.com/
acp.sdk.appTransUrl=https://gateway.test.95516.com/gateway/api/appTransReq.do
acp.sdk.cardTransUrl=https://gateway.test.95516.com/gateway/api/cardTransReq.do

#以下缴费产品使用，其余产品用不到
acp.sdk.jfFrontTransUrl=https://gateway.test.95516.com/jiaofei/api/frontTransReq.do
acp.sdk.jfBackTransUrl=https://gateway.test.95516.com/jiaofei/api/backTransReq.do
acp.sdk.jfSingleQueryUrl=https://gateway.test.95516.com/jiaofei/api/queryTrans.do
acp.sdk.jfCardTransUrl=https://gateway.test.95516.com/jiaofei/api/cardTransReq.do
acp.sdk.jfAppTransUrl=https://gateway.test.95516.com/jiaofei/api/appTransReq.do

########################################################################

# 报文版本号，固定5.1.0，请勿改动
acp.sdk.version=5.1.0

# 签名方式，证书方式固定01，请勿改动
acp.sdk.signMethod=01

# 是否验证验签证书的CN，测试环境请设置false，生产环境请设置true。非false的值默认都当true处理。
acp.sdk.ifValidateCNName=false

# 是否验证https证书，测试环境请设置false，生产环境建议优先尝试true，不行再false。非true的值默认都当false处理。
acp.sdk.ifValidateRemoteCert=false

#后台通知地址，填写接收银联后台通知的地址，必须外网能访问
acp.sdk.backUrl=http://tx4n43.natappfree.cc/async/union-pay/callback

#前台通知地址，填写银联前台通知的地址，必须外网能访问
acp.sdk.frontUrl=http://tx4n43.natappfree.cc/frontRcvResponse

#########################入网测试环境签名证书配置 ################################
# 多证书的情况证书路径为代码指定，可不对此块做配置。
# 签名证书路径，必须使用绝对路径，如果不想使用绝对路径，可以自行实现相对路径获取证书的方法；测试证书所有商户共用开发包中的测试签名证书，生产环境请从cfca下载得到。
# windows样例：
acp.sdk.signCert.path=/Users/chengli.zou/IdeaProjects/clzblog-shop-parent/clzblog-shop-plugins/clzblog-shop-union-plugin/src/main/resources/certs/acp_test_sign.p12
# linux样例（注意：在linux下读取证书需要保证证书有被应用读的权限）（后续其他路径配置也同此条说明）
#acp.sdk.signCert.path=/SERVICE01/usr/ac_frnas/conf/ACPtest/acp700000000000001.pfx

# 签名证书密码，测试环境固定000000，生产环境请修改为从cfca下载的正式证书的密码，正式环境证书密码位数需小于等于6位，否则上传到商户服务网站会失败
acp.sdk.signCert.pwd=000000
# 签名证书类型，固定不需要修改
acp.sdk.signCert.type=PKCS12

##########################加密证书配置################################
# 敏感信息加密证书路径(商户号开通了商户对敏感信息加密的权限，需要对 卡号accNo，pin和phoneNo，cvn2，expired加密（如果这些上送的话），对敏感信息加密使用)
acp.sdk.encryptCert.path=/Users/chengli.zou/IdeaProjects/clzblog-shop-parent/clzblog-shop-plugins/clzblog-shop-union-plugin/src/main/resources/certs/acp_test_enc.cer

##########################验签证书配置################################
# 验签中级证书路径(银联提供)
acp.sdk.middleCert.path=/Users/chengli.zou/IdeaProjects/clzblog-shop-parent/clzblog-shop-plugins/clzblog-shop-union-plugin/src/main/resources/certs/acp_test_middle.cer
# 验签根证书路径(银联提供)
acp.sdk.rootCert.path=/Users/chengli.zou/IdeaProjects/clzblog-shop-parent/clzblog-shop-plugins/clzblog-shop-union-plugin/src/main/resources/certs/acp_test_root.cer

